﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using GartleRTD;

namespace DataProcessorCS
{
    /// <summary>
    /// Processes RealTimeToDB row data before saving to a database.
    /// </summary>
    public class DataProcessor : IRDDataProcessor
    {

        /// <summary>
        /// The method is called when the application has been started.
        /// </summary>
        void IRDDataProcessor.AppStart()
        {

        }

        /// <summary>
        /// The method is called when the application is being closed.
        /// </summary>
        void IRDDataProcessor.AppStop()
        {
        }

        /// <summary>
        /// The method is called before the row data are saved to a database.
        /// </summary>
        /// <param name="data">Row data.</param>
        /// <returns>True to save the data into a database; false to continue without saving.</returns>
        bool IRDDataProcessor.ProcessRow(IRDDataRow data)
        {
            return true;
        }
    }
}
