@echo off

rem Setting the path to gsqlcmd.exe

set gsqlcmd=gsqlcmd.exe
if exist ..\gsqlcmd\gsqlcmd.exe         set gsqlcmd=..\gsqlcmd\gsqlcmd.exe
if exist ..\..\gsqlcmd\gsqlcmd.exe      set gsqlcmd=..\..\gsqlcmd\gsqlcmd.exe
if exist ..\..\..\gsqlcmd\gsqlcmd.exe   set gsqlcmd=..\..\..\gsqlcmd\gsqlcmd.exe

rem Creating files for BULK INSERT

%gsqlcmd% fmt+ payments.csv /table=dbo.Payments /fmt=payments.fmt /insertIdentity

if errorlevel 1 goto END

echo OPENROWSET files have been created
echo.


rem Easy solution to add [payments.csv] section to schema.ini

if not exist payments.ini goto END

if exist schema.ini del schema.ini

ren payments.ini schema.ini

:END

pause
