SELECT
    t.[Symb]
    , t.[LoadDate]
    , t.[Strike]
    , t.[ContractName]
    , t.[Last]
    , t.[Bid]
    , t.[Ask]
    , t.[Change]
    , t.[ChangePercent]
    , t.[Volume]
    , t.[OpenInterest]
    , t.[ImpliedVolatility]
FROM
    (
    SELECT
        [Symb] AS [Symb]
        , [LoadDate] AS [LoadDate]
        , [Strike] AS [Strike]
        , [ContractName] AS [ContractName]
        , [Last] AS [Last]
        , [Bid] AS [Bid]
        , [Ask] AS [Ask]
        , [Change] AS [Change]
        , [ChangePercent] AS [ChangePercent]
        , [Volume] AS [Volume]
        , [OpenInterest] AS [OpenInterest]
        , [ImpliedVolatility] AS [ImpliedVolatility]
    FROM
        OPENROWSET(
            BULK 'options.csv',
            FORMATFILE = 'options.fmt',
            CODEPAGE = '1250',
            FIRSTROW = 2) t
    ) t
